> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payins

> This endpoint enables you to fetch the list of payins associated with a settlement



## OpenAPI

````yaml get /v3/settlement/{id}/transactions/payin
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/settlement/{id}/transactions/payin:
    get:
      summary: Fetch Payins
      description: >-
        This endpoint enables you to fetch the list of payins associated with a
        settlement
      operationId: fetch-payins
      parameters:
        - name: id
          in: path
          description: ID of the settlement object you want to fetch the list of payins for
          schema:
            type: string
          required: true
        - name: ending_before
          in: query
          description: A cursor for use in pagination. Takes a payin ID as input
          schema:
            type: string
        - name: starting_after
          in: query
          description: A cursor for use in pagination. Takes a payin ID as input
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of objects to be fetched. By default 10; can be from 1 to
            100
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      has_more: false
                      object: list
                      results:
                        - balance_transaction_id: btr_d013fgtin2debfvbjv1g
                          id: pat_d013felin2debfvbjus0
                        - balance_transaction_id: btr_d013h95in2debfvbjvkg
                          id: pat_d013h6lin2debfvbjvf0
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                        default: true
                      object:
                        type: string
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            balance_transaction_id:
                              type: string
                            id:
                              type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````